import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/login',
    method: 'post',
    data
  })
}
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}
//菜单权限查询接口
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get',    
  })
}
//获取路由信息
export function userRouters(){
  return request({
    url:'/getRouters',
    method:"get"
  })
}
export function logout() {
  return request({
    url: '/vue-admin-template/user/logout',
    method: 'post'
  })
}
//获取项目名称
export function projectName(){
  return request({
    url:'/sdk/projectName',
    method:'get'
  })
}